var app=app||{};
app.navbarinline={};

app.navbarinline.show=(action)=>{
    console.log('run navbar')
    if (!action) action="signin";
    app[action].show();
    const navdata={btnactions: []}
    apx.data.tpldata.navbarinlinesquarebtn[action].forEach(b=>{
      navdata.btnactions.push(apx.data.tpldata.navbarinlinesquarebtn[b])  
    })
    console.log( navdata)
    document.querySelector("[name='wallet']").innerHTML=Mustache.render(apx.data.tpl.navbarinlinesquarebtn,navdata);
   
}

apx.readyafterupdate(app.navbarinline.show);